# config_bio.yml
# Config file for BioDiversity project production
mounts:
  - name: "image"
    path: "/mnt/DeepSea-AI"
    host: "mantis.shore.mbari.org"
    nginx_root: "/DeepSea-AI"

  - name: "video"
    path: "/mnt/DeepSea-AI"
    host: "mantis.shore.mbari.org"
    nginx_root: "/DeepSea-AI"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-bio"
  port: 6381

vss:
  project: "901103-biodiversity"
  model: "google/vit-base-patch16-224"
  output_path: "/mnt/DeepSea-AI/data/bio/processed/vss"
  url: "http://doris.shore.mbari.org:8000/knn"

tator:
  project: "901103-biodiversity"
  host: "https://mantis.shore.mbari.org"
  url_load: "http://mantis.shore.mbari.org:8001/label/id"
  image:
    attributes:
      video_reference_uuid:
        type: string
      index_elapsed_time_millis:
        type: int
      iso_datetime:
        type: string
  video:
    attributes:
      video_reference_uuid:
        type: string
      iso_start_datetime:
        type: datetime
  tdwa_box:
     attributes:
       label:
        type: string
       score:
        type: float
       verified:
        type: bool
       similarity_score:
        type: float
  box:
    attributes:
      Label:
        type: string
      label_s:
        type: string
      concept:
        type: string
      score:
        type: float
      score_s:
        type: float
      cluster:
        type: string
      saliency:
        type: float
      group:
        type: string
      obs_uuid:
        type: string
      verified:
        type: bool
      dive:
        type: string
      depth:
        type: float
      latitude:
        type: float
      longitude:
        type: float
      generator:
        type: string
      delete:
        type: bool

ffmpeg_path: "/usr/bin/ffmpeg"
